Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextEdit.AutoFormattingFlag

    java.lang.Object
      java.lang.Enum<QTextEdit.AutoFormattingFlag>
          com.trolltech.qt.gui.QTextEdit.AutoFormattingFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextEdit.AutoFormattingFlag>

Enclosing class:
  QTextEdit

    public static enum QTextEdit.AutoFormattingFlag

extends java.lang.Enum<QTextEdit.AutoFormattingFlag>
implements QtEnumerator

Press link for info on QTextEdit.AutoFormattingFlag

Enum Constant Summary
`AutoAll` Apply all automatic formatting.
`AutoBulletList` Automatically create bullet lists (e.g. when the user enters an asterisk ('*') in the left most column, or presses Enter in an existing list item.
`AutoNone` Don't do any automatic formatting.

Method Summary
`static QTextEdit.AutoFormatting` | `createQFlags(QTextEdit.AutoFormattingFlag... values)`
`static QTextEdit.AutoFormattingFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextEdit.AutoFormattingFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextEdit.AutoFormattingFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AutoNone

    public static final QTextEdit.AutoFormattingFlag AutoNone

  Don't do any automatic formatting.

### AutoBulletList

    public static final QTextEdit.AutoFormattingFlag AutoBulletList

  Automatically create bullet lists (e.g. when the user enters an asterisk ('*') in the left most column, or presses Enter in an existing list item.

### AutoAll

    public static final QTextEdit.AutoFormattingFlag AutoAll

  Apply all automatic formatting. Currently only automatic bullet lists are supported.

Method Detail

### values

    public static final QTextEdit.AutoFormattingFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextEdit.AutoFormattingFlag c : QTextEdit.AutoFormattingFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextEdit.AutoFormattingFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QTextEdit.AutoFormatting createQFlags(QTextEdit.AutoFormattingFlag... values)

### resolve

    public static QTextEdit.AutoFormattingFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD